package jd_cookie

import (
	"context"
	"kami/api/jd_cookie/v1"
	"kami/internal/errHandler"
	"kami/internal/service"

	"github.com/gogf/gf/v2/errors/gcode"
	"github.com/gogf/gf/v2/errors/gerror"
)

// DeleteAccount 删除Cookie账户
func (c *ControllerV1) DeleteAccount(ctx context.Context, req *v1.DeleteAccountReq) (res *v1.DeleteAccountRes, err error) {
	_, err = service.SysAuth().LoginOnlyIFrame(ctx)
	if err != nil {
		err = errHandler.WrapError(ctx, gcode.CodeNotAuthorized, err, "权限不足")
		return
	}

	err = service.JdCookie().DeleteAccount(ctx, req.CookieId)
	if err != nil {
		return nil, gerror.WrapCode(gcode.CodeInternalError, err, "删除Cookie账户失败")
	}

	res = &v1.DeleteAccountRes{}
	return
}
